%define oname stdcompat

Name:           ocaml-%{oname}
Version:        19
Release:        %mkrel 1
Summary:        Compatibility module for OCaml standard library

Group:          Development/OCaml
License:        BSD
URL:            https://github.com/thierry-martinez/stdcompat
Source0:        https://github.com/thierry-martinez/%{oname}/releases/download/v%{version}/%{oname}-%{version}.tar.gz

BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-result-devel

%description
Compatibility module for OCaml standard library allowing programs to use some
recent additions to the OCaml standard library while preserving the ability to
be compiled on former versions of OCaml.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}
sed -i 's/OCAMLFLAGS =/OCAMLFLAGS = -g/' Makefile.am

%build
autoreconf -fiv
%configure --libdir=%{_libdir}/ocaml
make

%install
%make_install

%check
make test

%files
%license COPYING
%doc README
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%{_libdir}/ocaml/stublibs/dllstdcompat__stubs.so*

%files devel
%{_libdir}/ocaml/%{oname}/*.cmt*
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.h
%{_libdir}/ocaml/%{oname}/*.ml*


%changelog
* Sat Oct 08 2022 pterjan <pterjan> 19-1.mga9
+ Revision: 1895544
- Update to 19

* Thu May 19 2022 pterjan <pterjan> 18-2.mga9
+ Revision: 1859111
- Rebuild for OCaml 4.14

* Mon Apr 25 2022 pterjan <pterjan> 18-1.mga9
+ Revision: 1853603
- Update to 18

* Wed Mar 30 2022 umeabot <umeabot> 17-2.mga9
+ Revision: 1833675
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 17-1.mga9
+ Revision: 1750947
- 17

* Wed Oct 13 2021 tv <tv> 15-2.mga9
+ Revision: 1750946
- 1.12 + Rebuild for ocaml 4.13.1

* Thu Mar 04 2021 tv <tv> 15-1.mga9
+ Revision: 1697721
- 15
- rebuild for ocaml-4.2-12

* Mon Jan 11 2021 pterjan <pterjan> 14-1.mga8
+ Revision: 1671191
- imported package ocaml-stdcompat

